Skip to main content
POST
/
v1
/
customer
/
disputes
/
{id}
/
make-offer
Make offer to resolve dispute
curl --request POST \
  --url https://api-m.sandbox.paypal.com/v1/customer/disputes/{id}/make-offer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "note": "<string>",
  "invoice_id": "<string>"
}
'
{
  "links": [
    {
      "href": "<string>",
      "rel": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Oauth 2.0 authentication

Path Parameters

id
string
required

The ID of the dispute for which to provide the supporting information.

Required string length: 1 - 255
Pattern: ^[A-Za-z0-9-]+$

Body

A merchant request to make an offer to resolve a dispute.

note
string
required

The merchant's notes about the offer.

Required string length: 1 - 2000
Pattern: ^(.|\r?\n)*$
offer_type
enum<string>
required

The merchant-proposed offer type for the dispute.

Available options:
REFUND,
REFUND_WITH_RETURN,
REFUND_WITH_REPLACEMENT,
REPLACEMENT_WITHOUT_REFUND
Required string length: 1 - 255
Pattern: ^[0-9A-Z_]+$
offer_amount
Money · object

The amount proposed to resolve the dispute.

return_shipping_address
Portable Postal Address (Medium-Grained) · object

The return address for the item. Required when the customer must return an item to the merchant for the MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED dispute reason, especially if the refund amount is less than the dispute amount.

invoice_id
string

The merchant-provided ID of the invoice for the refund. This optional value maps the refund to an invoice ID in the merchant's system.

Required string length: 1 - 127
Pattern: ^.*$

Response

A successful request returns the HTTP 200 OK status code and a JSON response body that includes a link to the dispute.

The subsequent action.

An array of request-related HATEOAS links.

Required array length: 1 - 10 elements